            #GIT_CMT=06aecb86f131daad52c86752b048abeec1a25dee
%global with_python3 1

%if 0%{?rhel} > 7
# Disable python2 build by default
%global with_python2 0
%else
%global with_python2 1
%endif

Name: 		pyxattr
Summary: 	Extended attributes library wrapper for Python
Version: 	0.5.3
Release: 	18.0.1%{?dist}
Vendor: 	Oracle America
#license version is precised on a website
License: 	LGPLv2+
Group: 		Development/Libraries
URL: 		http://pyxattr.sourceforge.net/
Source: pyxattr-0.5.3.tar.bz2

BuildRequires:	libattr-devel
%if %{?with_python3}
BuildRequires:	python3-devel, python3-setuptools
%endif # with_python3

%global _description\
Python extension module wrapper for libattr. It allows to query, list,\
add and remove extended attributes from files and directories.

%description %_description

%if %{?with_python3}
%package -n python3-%{name}
Summary:	Extended attributes library wrapper for Python 3

%description -n python3-%{name}
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

Python 3 version.
%endif # with_python3

%prep
%setup -q

%build
%if 0%{?with_python3}
CFLAGS="%{optflags}" %{__python3} setup.py build
%endif # with_python3


%install
%if 0%{?with_python3}
%{__python3} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%endif # with_python3

%check
# selinux in koji produces unexpected xattrs for tests
export TEST_IGNORE_XATTRS=security.selinux

%if 0%{?with_python3}
%{__python3} setup.py test
%endif # with_python3

%if %{?with_python3}
%files -n python3-%{name}
%defattr(0644,root,root,0755)
%{python3_sitearch}/xattr.cpython-??m*
%{python3_sitearch}/*egg-info
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README
%endif # with_python3

%changelog
* Thu Dec 12 2019 Tiger Yang <tiger.yang@oracle.com> - 0.5.3-18.0.1
- rebuild for oracle-gluster-6

* Wed Dec 11 2019 Tiger Yang <tiger.yang@oracle.com> - 0.5.3-18
- Initial build for oracle-gluster-6
